<script lang="ts">
    import FlatMenu from "./FlatMenu.svelte";
    import FoldMenu from "./FoldMenu.svelte";

    import type { Menu } from '$lib/TypeDefinitions.js'

    export let menu: Menu[];
</script>

<div class="menu">
    {#each menu as entry}
        {#if entry.folding == true}
            <FoldMenu heading={entry.name} targets={entry.targets} />
        {:else}
            <FlatMenu targets={entry.targets} />
        {/if}
    {/each}
</div>
